
%define llvm_version 19.1.0

Summary:	LLVM/SPIR-V Bi-Directional Translator
Summary(pl.UTF-8):	Dwustronny translator LLVM/SPIR-V
Name:		SPIRV-LLVM-Translator
Version:	19.1.7
Release:	1
License:	University of Illinois/NCSA Open Source License
Group:		Libraries
#Source0Download: https://github.com/KhronosGroup/SPIRV-LLVM-Translator/releases
Source0:	https://github.com/KhronosGroup/SPIRV-LLVM-Translator/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	88dcadd7de6f06e064d49f2295986d00
URL:		https://github.com/KhronosGroup/SPIRV-LLVM-Translator/
BuildRequires:	cmake >= 3.13.4
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	llvm-devel >= %{llvm_version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	spirv-headers >= 1.6.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LLVM/SPIR-V Bi-Directional Translator - a library and tool for
translation between LLVM IR and SPIR-V.

%description -l pl.UTF-8
Dwustronny translator LLVM/SPIR-V - biblioteka i narzędzie do
tłumaczenia między IR LLVM a SPIR-V.

%package devel
Summary:	Header files for LLVMSPIRVLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LLVMSPIRVLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7
Requires:	llvm-devel >= %{llvm_version}

%description devel
Header files for LLVMSPIRVLib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LLVMSPIRVLib.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=/usr/include/spirv/unified1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.19.1 $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.%{version}
ln -s libLLVMSPIRVLib.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.19.1
ln -sf libLLVMSPIRVLib.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.TXT
%attr(755,root,root) %{_bindir}/llvm-spirv
%attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so.19.*.*
%ghost %attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so.19.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so
%{_includedir}/LLVMSPIRVLib
%{_pkgconfigdir}/LLVMSPIRVLib.pc
%changelog
* Thu May 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SPIRV-LLVM-Translator.git;a=log;h=master

* Thu May 01 2025 Jan Palus <atler@pld-linux.org> 81d9cb1
- up to 19.1.7

* Thu Apr 03 2025 Jan Palus <atler@pld-linux.org> c57417f
- up to 19.1.6

* Sat Mar 01 2025 Jan Palus <atler@pld-linux.org> 2c584a9
- up to 19.1.5

* Wed Jan 01 2025 Jan Palus <atler@pld-linux.org> 14a713e
- up to 19.1.3

* Fri Dec 06 2024 Jan Palus <atler@pld-linux.org> 24763e9
- up to 19.1.2

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> 3514658
- up to 19.1.1

* Fri Oct 18 2024 Jan Palus <atler@pld-linux.org> 2c3acfa
- up to 19.1.0

* Tue Oct 01 2024 Jan Palus <atler@pld-linux.org> f31c5de
- up to 18.1.5

* Tue Sep 03 2024 Jan Palus <atler@pld-linux.org> ef9d4ea
- up to 18.1.4

* Thu Aug 01 2024 Jan Palus <atler@pld-linux.org> 82de486
- up to 18.1.3

* Fri Apr 05 2024 Jan Palus <atler@pld-linux.org> 045df0b
- up to 18.1.0

* Fri Nov 10 2023 Jakub Bogusz <qboosh@pld-linux.org> ee38f74
- updated spirv-headers version according to spirv.h defines

* Sun Oct 08 2023 Jan Palus <atler@pld-linux.org> 4906a0a
- correct required spirv-header

* Sun Oct 08 2023 Jan Palus <atler@pld-linux.org> c980de0
- up to 17.0.0

* Fri May 26 2023 Jan Palus <atler@pld-linux.org> 762e5c8
- upstream branch changes; rel 2

* Wed Mar 29 2023 Jan Palus <atler@pld-linux.org> 4d5d0ef
- up to 16.0.0

* Wed Mar 29 2023 Jan Palus <atler@pld-linux.org> 6f5303f
- bump required cmake version

* Sat Oct 15 2022 Jan Palus <atler@pld-linux.org> 1691f85
- up to 15.0.0

* Tue May 31 2022 Jan Palus <atler@pld-linux.org> 20755e6
- up to 14.0.0

* Sat Dec 25 2021 Jakub Bogusz <qboosh@pld-linux.org> d9c3183
- adjust for SPIRV-Headers change (patch from git)

